$(function(){
	// 回填支持实施保理产品
	$(".factoringProductsIds").each(function(i,ele){
		$(ele).find('input').each(function(j,dom){
			$(".insuranceTr").eq(i).find('.hasradio input[pid='+$(dom).val()+']').prop('checked',true);
		})
	});
	
	// 保险险种记录排序
	function sortInsurance(){
		if( $(".insuranceTr").length <= 1 ){
			$('.negativeInformationReduce').hide();
		}else{
			$('.negativeInformationReduce').show();
		}
	};
	sortInsurance();
	
	// 添加保险险种记录
	$(".newTabAddUpdateBox").on('click','.negativeInformationPlus',function(){
		var insuranceTrClone = $(".insuranceTr:first").clone();
		insuranceTrClone.find('.insuranceTrId').remove();
		insuranceTrClone.find('input:first').val('');
		insuranceTrClone.find('input[type=checkbox]').prop('checked',false);
		insuranceTrClone.find('.error').hide();
		$(this).parents('.insuranceTr').after(insuranceTrClone);
		sortInsurance();
	});
	
	var deleteInsuranceIds = [];//删除的保险险种记录的id
	
	// 删除保险险种记录
	$(".newTabAddUpdateBox").on('click','.negativeInformationReduce',function(){
		if( $(this).parents('.insuranceTr').find('.insuranceTrId')!=undefined && $(this).parents('.insuranceTr').find('.insuranceTrId').length>0 ){
			deleteInsuranceIds.push($(this).parents('.insuranceTr').find('.insuranceTrId').val());
		};
		$(this).parents('.insuranceTr').remove();
		sortInsurance();
	});
	
	// 验证保险险种记录是否必填
	function insuranceValid(t,num){
		if( t==undefined ){
			$(".insuranceTr").each(function(i,ele){
				// 信用保险险种
				if( $(ele).find('input:first').val()=='' ){
					$(ele).find('input:first').next().addClass('shows').show();
				}else{
					$(ele).find('input:first').next().removeClass('shows').hide();
				};
				// 支持实施保理产品
				if( $(ele).find('.hasradio input:checked').length <=0 ){
					$(ele).find('.hasradio .error').addClass('shows').show();
				}else{
					$(ele).find('.hasradio .error').removeClass('shows').hide();
				};
			})
		}else{
			if( num=='first' ){
				if( t.val()=='' ){
					t.next().addClass('shows').show();
				}else{
					t.next().removeClass('shows').hide();
				}
			}else{
				if( t.find('input:checked').length <= 0 ){
					t.find('.error').addClass('shows').show();
				}else{
					t.find('.error').removeClass('shows').hide();
				}
			};
		}
	};
	
	// 信用保险险种
	$(".newTabAddUpdateBox").on('keyup','.insuranceTr input:first',function(){
		insuranceValid($(this),'first')
	});
	
	// 支持实施保理产品
	$(".newTabAddUpdateBox").on('click','.insuranceTr .hasradio input',function(){
		insuranceValid($(this).parents('.hasradio'),'second')
	});
	
	// 保存
	$(".newTabAddUpdateBtnBox .save").click(function(){
		// 验证保险险种记录是否必填
		insuranceValid();
		$("#insuranceAddForm").validate({
			 promptPosition : "bottomLeft",
			 submitHandler : function(form) {
				 if( $('.error.shows').length>0 ){
					 $('.error.shows:first').parent().find('input:first').focus();
					 return;
				 };
				 var postdata = {
					'id':$("[name=insuranceId]").val(),
					'name':$('[name=name]').val(),
					'abbreviation':$("[name=abbreviation]").val()
				 };
				 // 信用保险险种 / 支持实施保理产品
				 for( var i=0;i<$(".insuranceTr").length;i++ ){
					 if( $(".insuranceTr").eq(i).find('.insuranceTrId')!=undefined && $(".insuranceTr").eq(i).find('.insuranceTrId').length>0 ){
						postdata['insuranceTypes['+i+'].id'] = $(".insuranceTr").eq(i).find('.insuranceTrId').val();
					 };
					 postdata['insuranceTypes['+i+'].name'] = $(".insuranceTr").eq(i).find('input:first').val();
					 for( var j=0;j<$(".insuranceTr").eq(i).find('.hasradio input:checked').length;j++ ){
						 postdata['insuranceTypes['+i+'].factoringProducts['+j+'].id'] = $(".insuranceTr").eq(i).find('.hasradio input:checked').eq(j).attr('pid');
					 };
					 j = null;
				 };
				 i = null;
				 // 删除的保险险种 / 支持实施保理产品
				 
				 $.ajax({
					 url:'/creditInsurance/corp/doUpdate',
					 type:'post',
					 data:postdata,
					 success:function(data){
						 if( data.success ){
							 if( data.data ){
								 new $.zui.Messager('修改保险公司成功', {
								    type: 'success'
								 }).show();	
								 $(".yk_rightcontent").load('/creditInsurance/corp/list')
							 }else{
								 new $.zui.Messager('修改保险公司失败', {
								    type: 'danger'
								 }).show();	 
							 };
						 }else{
							 new $.zui.Messager('修改保险公司失败:'+data.msg, {
							    type: 'danger'
							 }).show();	
						 }
					 },
					 error:function(status){
						 new $.zui.Messager('修改保险公司时出错:'+status, {
						    type: 'danger'
						 }).show();	
					 }
				 })
				 
			 }, 
			rules:{
				'name':{
					required:true,
					maxlength:50
				},
				'abbreviation':{
					required:true,
					maxlength:8
				}
			},
			messages : {
				'name':{
					required:'请输入保险公司名称',
					maxlength:'最多输入50个字符'
				},
				'abbreviation':{
					required:'请输入保险公司简称',
					maxlength:'最多输入8个字符'
				}
			}
		});
	});
	
	// 关闭按钮
	$(".newTabAddUpdateBtnBox .btn-cancel,.newBackBtn").click(function(){
		$(".yk_rightcontent").load('/creditInsurance/corp/list');
		return false;
	})
		
});